Bug 1267659 - Cannot connect to BNEP network
Cannot connect to BNEP network
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 11:18 EDT by David Woodhouse
Modified: 2016-07-19 14:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:04:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2015-09-30 11:18:14 EDT
When I connect via Bluetooth, no attempt is made to do DHCP. It just sits there for a while, then quits.

I see evidence of an attempt to rename the 'bnep0' interface to something entirely bizarre and unhelpful ('enp0s26f7u1u1u3'), which fails. Not sure if that's relevant.

Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: starting connection 'dwmw2 S6 Network'
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 1 of 5 (Device Prepare) scheduled...
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 1 of 5 (Device Prepare) started...
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  NetworkManager state is now CONNECTING
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 2 of 5 (Device Configure) scheduled...
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 1 of 5 (Device Prepare) complete.
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 2 of 5 (Device Configure) starting...
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): device state change: prepare -> config (reason 'none') [40 50 0]
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): Activation: Stage 2 of 5 (Device Configure) complete.
Sep 29 11:45:41 shinybook bluetoothd[798]: connected
Sep 29 11:45:41 shinybook dnsmasq[1297]: reading /etc/resolv.conf
Sep 29 11:45:41 shinybook dnsmasq[1171]: reading /etc/resolv.conf
Sep 29 11:45:41 shinybook dnsmasq[1297]: using nameserver 127.0.0.1#53
Sep 29 11:45:41 shinybook dnsmasq[1171]: using nameserver 127.0.0.1#53
Sep 29 11:45:41 shinybook dnsmasq[1122]: reading /etc/resolv.conf
Sep 29 11:45:41 shinybook dnsmasq[1122]: using nameserver 127.0.0.1#53
Sep 29 11:45:41 shinybook systemd-udevd: Error changing net interface name 'bnep0' to 'enp0s26f7u1u1u3': Device or resource busy
Sep 29 11:45:41 shinybook systemd-udevd: could not rename interface '68' from 'bnep0' to 'enp0s26f7u1u1u3': Device or resource busy
Sep 29 11:45:41 shinybook NetworkManager[19961]: <info>  (bnep0): driver 'unknown' does not support carrier detection.
Sep 29 11:45:42 shinybook avahi-daemon[790]: Registering new address record for fe80::e6ce:8fff:fe1f:f2c1 on bnep0.*.

...

Sep 29 11:46:11 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): device state change: config -> failed (reason 'bluetooth-failed') [50 120 44]
Sep 29 11:46:11 shinybook NetworkManager[19961]: <info>  NetworkManager state is now CONNECTED_LOCAL
Sep 29 11:46:11 shinybook NetworkManager[19961]: <warn>  (24:4B:81:BC:CE:6A): Activation: failed for connection 'dwmw2 S6 Network'
Sep 29 11:46:11 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): device state change: failed -> disconnected (reason 'none') [120 30 0]
Sep 29 11:46:11 shinybook NetworkManager[19961]: <info>  (24:4B:81:BC:CE:6A): deactivating device (reason 'none') [0]
Sep 29 11:46:11 shinybook avahi-daemon[790]: Withdrawing address record for fe80::e6ce:8fff:fe1f:f2c1 on bnep0.
Sep 29 11:46:11 shinybook NetworkManager[19961]: <info>  Connectivity check for uri 'https://fedoraproject.org/static/hotspot.txt' failed with 'Error resolving 'fedoraproject.org': No address associated with hostname'.
Sep 29 11:46:11 shinybook gnome-session: Gjs-Message: JS LOG: Device state invalid, is 0
Comment 1 David Woodhouse 2015-09-30 11:19:17 EDT
It does look like disabling the unpredictable name makes it work again.
Comment 2 Dimitris 2015-10-23 01:18:02 EDT
(In reply to David Woodhouse from comment #1)
> It does look like disabling the unpredictable name makes it work again.

I seem to be facing the same issue - how did you disable the interface renaming?
Comment 3 Fedora End Of Life 2016-07-19 14:04:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.